
TYPO3.ExtJS - Task # 43611

Story # 41101 (New): As user, I want a well-working content editing (Bugfix Story)

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: ExtDirect
Created: 2012-12-05 Assigned To: Karsten Dambekalns
Updated: 2012-12-07 Due date:
Subject: ExtDirect Requesthandler not working with current Flow MVC
Description

The request handler needs to be adjusted, so the (new) session handling works.

Associated revisions
Revision 584f77e0 - 2012-12-05 10:54 - Karsten Dambekalns

[BUGFIX] Adjust ExtDirect RequestHandler to Flow changes

This adjusts the RequestHandler to the recent changes in Flow regarding
session handling. For this the usual HTTP response is now used.

Some additional cleanup is done and error handling has been added.

Change-Id: I3c83bd5be07f1b6cba769f4c1743a3e8a9fa0241
Fixes: #43611
Fixes: #27665

History
#1 - 2012-12-05 10:52 - Karsten Dambekalns
- Tracker changed from Task to Bug

#2 - 2012-12-05 10:55 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16964

#3 - 2012-12-05 11:34 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2012-12-07 15:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:584f77e0d0d3d8503bf765e1d6157ef47e2fab8d.
